const tailwindcss = require('tailwindcss');
const nano = require('cssnano')

const purgecss = require('@fullhuman/postcss-purgecss')({
//
	content: [
		"./src/components/*.js",
		"./node_modules/react-toastify/dist/ReactToastify.min.css",
		"./public/index.html",
		"./src/custom.js",
		"./src/App.js",
	],

	defaultExtractor: content => content.match(/[\w-:/]+(?<!:)/g) || []

})

const tailwind = tailwindcss('./tailwind.js')
console.log(tailwind)

module.exports = {
	plugins: [
		tailwind,
		require('autoprefixer'),
		...process.env.NODE_ENV === 'production'
				? [purgecss, nano]
				: []
	]
}